<template>
  <div>
    <div class="mb-6">
      <p>Judul</p>
      <p class="font-bold">{{ title }}</p>
    </div>
    <div class="mb-6">
      <p>Keterangan</p>
      <p class="font-bold">
        {{ note }}
      </p>
    </div>
    <div class="mb-6">
      <p>Jumlah Kebutuhan</p>
      <p class="font-bold">{{ totalItem }} Pcs</p>
    </div>
    <div class="mb-6">
      <p>Nama / Kontak Pencari Bantuan</p>
      <p class="font-bold">
        {{ providerName }}
      </p>
    </div>
    <div class="mb-6">
      <p>Alamat</p>
      <p class="font-bold">
        {{ address }}
      </p>
    </div>
    <div class="mb-6">
      <p>Nomor Telepon</p>
      <p class="font-bold">{{ phoneNumber }}</p>
      <p v-if="formType === 'C'" style="color:red;">
        {{ canShowPhoneNumber ? 'Dapat dilihat pengguna lain' : 'Tidak dapat dilihat pengguna lain' }}
      </p>
    </div>

    <div class="mb-6">
      <p>Rincian Barang yang Dibutuhkan</p>
      <div v-for="(item, index) in itemDetails" :key="index">
        <p class="font-bold">{{ item.name }}</p>
        <p>{{ item.qty }} pcs</p>
      </div>
    </div>
    <div class="mt-12">
      <Button type="submit" class="px-10 py-2 rounded-md" main :on-click="submit"
        >Daftarkan {{ formType === 'C' ? 'Bantuan' : 'Permintaan' }}</Button
      >
      <Button class="px-8 py-2" ghost :on-click="showCancelWarning">Batalkan</Button>
    </div>
  </div>
</template>

<script>
import formMixin from '~/components/Form/form-mixin';
import { mapState } from 'vuex';
export default {
  mixins: [formMixin],
  computed: {
    ...mapState({
      formType: state => state.form.type,
      canShowPhoneNumber: state => state.form.can_show_phone_number,
      title: state => state.form.title,
      note: state => state.form.note,
      providerName: state => state.form.provider_name,
      phoneNumber: state => state.form.phone_number,
      address: state => state.form.address,
    }),
    itemDetails() {
      return this.$store.getters['form/validItemDetails'];
    },
    totalItem() {
      if (this.itemDetails) {
        let total = 0;
        this.itemDetails.forEach(element => {
          total += parseInt(element.qty);
        });
        return total;
      }
      return 0;
    },
  },
  methods: {
    async validate() {
      return true;
    },
    async submit() {
      await this.$store.dispatch('form/postData');
      await this.showSuccessAdd();
      // this.$router.push('/');
    },
  },
};
</script>

<style></style>
